Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces
Enum IconPosition

    java.lang.Object
      java.lang.Enum<IconPosition>
          org.richfaces.IconPosition

All Implemented Interfaces:
  Serializable, Comparable<IconPosition>

    public enum IconPosition

extends Enum<IconPosition>

Since:
  Oct 19, 2010
Author:
  akolonitsky

Enum Constant Summary
`left`
`none`
`right`

Field Summary
`static IconPosition` | `DEFAULT`

Method Summary
`static IconPosition` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IconPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### left

    public static final IconPosition left

### right

    public static final IconPosition right

### none

    public static final IconPosition none

Field Detail

### DEFAULT

    public static final IconPosition DEFAULT

Method Detail

### values

    public static IconPosition[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IconPosition c : IconPosition.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IconPosition valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.